<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:x="urn:edi:optique:validator:ValidatorDetailedReport:1" exclude-result-prefixes="x">
	<xsl:output method="text" encoding="utf-16"/>
	<xsl:template match="/">
		<xsl:variable name="header1">
			<xsl:value-of select="x:ValidatorDetailedReport/x:ReportHeader/x:Checksum"/>;<xsl:value-of select="x:ValidatorDetailedReport/x:ReportHeader/x:ValidityIndicator"/>;<xsl:value-of select="x:ValidatorDetailedReport/x:ReportHeader/x:ValidationDateTime"/>;<xsl:value-of select="x:ValidatorDetailedReport/x:ReportHeader/x:ValidatorVersion"/>;<xsl:value-of select="x:ValidatorDetailedReport/x:ReportHeader/x:LatestValidationDateTime"/>;</xsl:variable>
		<xsl:variable name="header2">
			<xsl:value-of select="x:ValidatorDetailedReport/x:MessageHeader/x:Type"/>;<xsl:value-of select="x:ValidatorDetailedReport/x:MessageHeader/x:Standard"/>;<xsl:value-of select="x:ValidatorDetailedReport/x:MessageHeader/x:GenerationDateTime"/>;<xsl:value-of select="x:ValidatorDetailedReport/x:MessageHeader/x:ProviderCode"/>;<xsl:value-of select="x:ValidatorDetailedReport/x:MessageHeader/x:TestFlag"/>;<xsl:value-of select="x:ValidatorDetailedReport/x:MessageHeader/x:Description1"/>;<xsl:value-of select="x:ValidatorDetailedReport/x:MessageHeader/x:Description2"/>;<xsl:value-of select="x:ValidatorDetailedReport/x:MessageHeader/x:Description3"/>;<xsl:value-of select="x:ValidatorDetailedReport/x:MessageHeader/x:Description4"/>;</xsl:variable>
		<xsl:text>ns1:Checksum;ns1:ValidityIndicator;ns1:ValidationDateTime;ns1:ValidatorVersion;ns1:LatestValidationDateTime;ns1:Type;ns1:Standard;ns1:GenerationDateTime;ns1:ProviderCode;ns1:TestFlag;ns1:Description1;ns1:Description2;ns1:Description3;ns1:Description4;ns1:ErrorID;ns1:ErrorCode;ns1:ErrorLabel;ns1:SectionCode;ns1:SectionLabel;ns1:ProblemCode;ns1:ProblemLabel;ns1:DataID;ns1:DataLabel;ns1:LineID;ns1:Comment &#10;</xsl:text>
		<xsl:for-each select="/x:ValidatorDetailedReport/x:ReportDetail">
			<xsl:copy-of select="$header1"/>
			<xsl:copy-of select="$header2"/>
			<xsl:value-of select="x:ErrorID"/>;<xsl:value-of select="x:ErrorCode"/>;<xsl:value-of select="x:ErrorLabel"/>;<xsl:value-of select="x:SectionCode"/>;<xsl:value-of select="x:SectionLabel"/>;<xsl:value-of select="x:ProblemCode"/>;<xsl:value-of select="x:ProblemLabel"/>;<xsl:value-of select="x:DataID"/>;<xsl:value-of select="x:DataLabel"/>;<xsl:value-of select="x:LineID"/>;<xsl:value-of select="x:Comment"/>
			<xsl:text>&#10;</xsl:text>
		</xsl:for-each>
	</xsl:template>
</xsl:stylesheet>
